Bug 436147 - Review Request: mairix - A program for indexing and searching email messages
Review Request: mairix - A program for indexing and searching email messages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 11:59 EST by Miroslav Lichvar
Modified: 2008-06-30 05:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 05:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2008-03-05 11:59:00 EST
Spec URL: http://people.redhat.com/mlichvar/tmp/mairix/mairix.spec
SRPM URL: http://people.redhat.com/mlichvar/tmp/mairix/mairix-0.21-1.fc9.src.rpm
Description:
mairix is a program for indexing and searching email messages
stored in Maildir, MH or mbox folders.
Comment 1 Jason Tibbitts 2008-06-25 23:12:13 EDT
I'm not really sure why this has been sitting around for so long; it's a small
package, it builds fine and rpmlint finds nothing to complain about.  I can't
really test it because all of my mail is locked away in a cyrus server, but I
can review the packaging.

Everything looks fine to me.

* source files match upstream:
   e1d28459531ce30ce8dd41215cb0e6351ea81767cf4bbf1e8dbd22618f4de1d7  
   mairix-0.21.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   mairix = 0.21-1.fc10
  =
   libbz2.so.1()(64bit)
   libz.so.1()(64bit)

* %check is not present; no test suite upstream.  I do not have the means to 
   test this package.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Miroslav Lichvar 2008-06-26 07:14:46 EDT
Thanks for the review.
Comment 3 Miroslav Lichvar 2008-06-26 07:16:36 EDT
New Package CVS Request
=======================
Package Name: mairix
Short Description: A program for indexing and searching email messages
Owners: mlichvar
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-06-27 12:51:03 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.